Core - Bug # 55714

Status: Resolved Priority: Should have

Author: Stefan Neufeind Category: File Abstraction Layer (FAL)
Created: 2014-02-06 Assigned To: Georg Ringer

Updated: 2015-07-19 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Not available storages assigned to user shouldn't cause "hard failure"

Description

It's been mentioned on the German TYPO3-list yesterday/today that a user receives

Oops, an error occurred!

Could not find row with uid "2" in table sys_file_storage More information regarding this error might be available online.

when logging in. It was assumed that there was a storage with uid 2 assigned to the user and afterwards deleted.

| see two problems here:

1) Once the storage is deleted you might not be able to remove the reference in the user-settings anymore. Or would it go away if you

open and just save the user again?

2) Can we / do we want to avoid the "hard" failure for the user right after login? Maybe just show a notice or so?

Related issues:

related to Core - Bug # 50871: Remove option to delete a File Storage

New 2013-08-07

Associated revisions

Revision f4dc2c66 - 2015-07-19 10:46 - Georg Ringer
[BUGFIX] Invalid sys file storages must be ignored

If a storage is not available anymore, it must be ignored
Change-Id: 1e00af1bc086871c046ac4556c0119fc82d30a17e
Resolves: #55714

Releases: master, 6.2
Reviewed-on: http://review.typo3.0rg/41693

Reviewed-by: David Greiner <hallo@davidgreiner.de>

Reviewed-by: Jan Helke <typo3@helke.de>
Tested-by: Jan Helke <typo3@helke.de>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 5b631c67 - 2015-07-19 10:47 - Georg Ringer

[BUGFIX] Invalid sys file storages must be ignored

If a storage is not available anymore, it must be ignored
Change-Id: le00af1bc086871c046ac4556¢0119fc82d30a17e
Resolves: #55714

Releases: master, 6.2

Reviewed-on: http://review.typo3.org/41696

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-05-03 15:50 - Sebastian Fischer

to 1. from my understanding. If you edit a user record the available storage get added to the field. This differes from what is stored in the database. On
saving the unavailable record gets removed from the selection in the user record.

#2 - 2015-07-19 09:52 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41693

#3 - 2015-07-19 09:54 - Georg Ringer
- Assigned To set to Georg Ringer
- Target version set to 7.4 (Backend)

#4 - 2015-07-19 10:47 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41696

#5 - 2015-07-19 10:48 - Georg Ringer
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:f4dc2c661dcb3fbe6206800dfa470534ce9175fd.
